---
title: Discover App Extensions
desc: Look up official and community Quasar App Extensions.
---

<q-btn push class="q-py-xs" no-caps color="brand-primary" icon-right="search" label="Look up extensions" href="https://www.npmjs.com/search?q=quasar-app-extension" target="_blank" rel="noopener" />

## Community App Extensions

Review submitted [Community App Extensions](https://github.com/quasarframework/quasar-awesome/blob/master/README.md#community-app-extensions).

> And please don't forget to submit your own! Learn what Quasar [App Extensions](/app-extensions/introduction) are and how to [create one](/app-extensions/development-guide/introduction).


## Official App Extensions
Below is a list of official app-extensions created by members of the Quasar team.

### Tooling

| Alias | Description |
| --- | --- |
| [@quasar/testing](https://github.com/quasarframework/quasar-testing) | Includes pre-configured sub-extensions for all of your testing needs |
| [@quasar/typescript](https://github.com/quasarframework/app-extension-typescript) | Transform your project into typescript awesomeness |
| [@quasar/wizard](https://github.com/quasarframework/app-extension-wizard) | Search and find all known App Extensions, Install Collections, keep everything up to date |

### Project Rigging

| Alias | Description |
| --- | --- |
| [@quasar/obyte](https://github.com/quasarframework/app-extension-obyte) | Work with the Obyte Blockchain |

### Components

| Alias | Description |
| --- | --- |
| [@quasar/qmediaplayer](https://github.com/quasarframework/app-extension-qmediaplayer) | HTML5 video and audio player |
| [@quasar/qflashcard](https://github.com/quasarframework/app-extension-qflashcard) | Show some information and reveal more with CSS Transition Mashups |
| [@quasar/qoverlay](https://github.com/quasarframework/app-extension-qoverlay) | Overlays simplified. Add any component on top of the overlay |
| [@quasar/qactivity](https://github.com/quasarframework/app-extension-qactivity) | Create activity timelines |
| [@quasar/qmarkdown](https://github.com/quasarframework/app-extension-qmarkdown) | Markdown for your pages |
| [@quasar/qpdfviewer](https://github.com/quasarframework/app-extension-qpdfviewer) | View PDF documents in your Quasar app |
| [@quasar/qcalendar](https://github.com/quasarframework/quasar-ui-qcalendar) | Calendar for Quasar |
| [@quasar/qscroller](https://github.com/quasarframework/app-extension-qscroller) | Many scrolling components, including QScroller, QTimeScroller, QDateScroller, QDateTimeScroller and scrolling time ranges |
| [@quasar/qwindow](https://github.com/quasarframework/app-extension-qwindow) | Floating, movable, resizable interactive windows for Quasar |
| [@quasar/qplaceholder](https://github.com/quasarframework/app-extension-qplaceholder) | Display a placeholder before your data arrives |
| [@quasar/qiconpicker](https://github.com/quasarframework/quasar-ui-qiconpicker) | Icon Picker for your Quasar apps |
| [@quasar/qribbon](https://github.com/quasarframework/app-extension-qribbon) | QRibbon UI component for your Quasar apps |
| [@quasar/qzoom](https://github.com/quasarframework/app-extension-qzoom) | Zoom any content (image, video, text, components, ...) |
